Subject: Re: bug#73991: EditorConfig bundled with Emacs 30 does not set tab-width

From: Eli Zaretskii <[email-masked]>
Date: Thu, 24 Oct 2024 21:05:21 +0300

tags 73991 wontfix
thanks

> From: Kenta USAMI <[email-masked]>
> Date: Fri, 25 Oct 2024 02:49:08 +0900
> 
> I use Emacs 30.0.91 and editorconfig-mode.
> 
> Emacs version is follows:
> > This is GNU Emacs 30.0.91 (build 1, aarch64-apple-darwin23.6.0, NS
> >  appkit-2487.70 Version 14.7 (Build 23H124)) of 2024-10-22
> 
> I have an .editorconfig file like this:
> 
> # .editorconfig
> root = true
> 
> [*.js]
> indent_size = 4
> indent_style = tab
> # .editorconfig ends here
> 
> When I open a *.js file in the same directory, the tab-width variable is not set.
> 
> In the editorconfig of Emacs 28.2 and NonGNU-devel ELPA 2024-Jul-28 version installed on another
> machine, when I add (debug-on-variable-change 'tab-width), I get a stack trace like this:

This is identical to bug#72808, which we decided we don't currently
want to fix, for the reasons explained there.